local self_ID = "F-5E 2024"
declare_plugin(self_ID,
{
dirName			= current_mod_path,
displayName		= _("F-5E Tiger II"),
shortName		=   "F-5E",
fileMenuName	= _("F-5E"),
update_id		= "F-5E_2024",
version 		= __DCS_VERSION__,
state			= "installed",
developerName	= _("Eagle Dynamics"),
info			= _("F-5E is a supersonic light-tactical fighter designed in the 1970s by Northrop Corporation and carries air-to-air missiles, two 20-mm cannons and air-to-ground unguided weapons. With excellent maneuverability this fighter offers a wide range of armament and considering its relatively low cost, it became very popular in the global military market."),
					 
binaries =
{
	'F5E',
},

Skins =
{
	{
		name	= "F-5E",
		dir		= "Skins/1"
	},
},
Missions =
{
	{
		name	= _("F-5E"),
		dir		= "Missions",
		CLSID	= "{F-5E missions}",
	},
},
LogBook =
{
	{
		name	= _("F-5E-3"),
		type	= "F-5E-3",
	},
},
Options =
{
	{
		name		= _("F-5E"),
		nameId		= "F-5E-3",
		dir			= "Options",
		CLSID		= "{F-5E Tiger II options}"
	},
},
InputProfiles = 
{
	["F-5E-3"]		= current_mod_path .. '/Input/F-5E/',
},

})

-------------------------------------------------------------------------------
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Textures/F-5E-CPT-TEXTURES")
mount_vfs_texture_path  (current_mod_path ..  "/Cockpit/Textures/F-5E-PILOT-TEXTURES")
mount_vfs_model_path    (current_mod_path ..  "/Shape")
mount_vfs_liveries_path (current_mod_path ..  "/Liveries")
mount_vfs_texture_path  (current_mod_path ..  "/Skins/1/ME")--for simulator loading window  

mount_vfs_model_path	(current_mod_path.."/1ModsConfig/Shapes") --AddModDenis
mount_vfs_texture_path  (current_mod_path.."/1ModsConfig/textures") --AddModDenis

mount_vfs_texture_path  (current_mod_path ..  "/Textures/F-5E3_2024") 
mount_vfs_texture_path  (current_mod_path ..  "/Textures/F-5E3_2024_Pilot") 

dofile(current_mod_path..'/F-5E-3.lua')

local cfg_path = current_mod_path ..  "/FM/config.lua"
dofile(cfg_path)
F5E[1] 					= self_ID
F5E[2] 					= 'F5E'
F5E.config_path 		= cfg_path
F5E.user_options 		= 'F-5E'

dofile(current_mod_path.."/Views.lua")
make_view_settings('F-5E-3', ViewSettings, SnapViews)

make_flyable('F-5E-3', current_mod_path..'/Cockpit/Scripts/',F5E, current_mod_path..'/comm.lua')
plugin_done()-- finish declaration , clear temporal data
